Get Graph Snapshot
GET
/v1/admin/graph/snapshots/{graph_name}
const url = 'https://example.com/v1/admin/graph/snapshots/example?tenant_id=&limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/admin/graph/snapshots/example?tenant_id=&limit=50'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”graph_name
required
Graph Name
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
limit
Limit
integer
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
GraphSnapshot
object
tenant_id
required
Tenant Id
string
graph_name
required
Graph Name
string
node_count
Node Count
integer
edge_count
Edge Count
integer
digest
required
axis_counts
Axis Counts
object
key
additional properties
integer
edge_axis_counts
Edge Axis Counts
object
key
additional properties
integer
entity_kinds
Entity Kinds
object
key
additional properties
integer
relationship_types
Relationship Types
object
key
additional properties
integer
materialization_summary
Materialization Summary
object
key
additional properties
any
Example
{ "node_count": 0, "edge_count": 0, "digest": { "algorithm": "sha256" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}